Bug 1122711 - sendxmpp claims my Jabber server couldn't be connected to
Summary: sendxmpp claims my Jabber server couldn't be connected to
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sendxmpp
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 20:39 UTC by Matěj Cepl
Modified: 2018-04-11 07:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:57:47 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2014-07-23 20:39:58 UTC
Description of problem:
matej@wycliff: Extras$ echo tralala|sendxmpp -u mcepl@ceplovi.cz -j luther.ceplovi.cz -p veryverysecret -n --messages-type chat -d matej@ceplovi.cz
Use of uninitialized value $args{"file"} in lc at /usr/share/perl5/vendor_perl/Net/XMPP/Debug.pm line 154.
Unknown option: messages-type
XML::Stream: new: hostname = (wycliff.ceplovi.cz)
XML::Stream: SetCallBacks: tag(node) func(CODE(0x232c810))
XMPP::Conn: xmppCallbackInit: start
XMPP::Conn: SetCallBacks: tag(message) func(CODE(0x232c978))
XMPP::Conn: SetCallBacks: tag(presence) func(CODE(0x1640e30))
XMPP::Conn: SetCallBacks: tag(iq) func(CODE(0x232ca50))
XMPP::Conn: SetPresenceCallBacks: type(subscribe) func(CODE(0x232be68))
XMPP::Conn: SetPresenceCallBacks: type(subscribed) func(CODE(0x22ed560))
XMPP::Conn: SetPresenceCallBacks: type(unsubscribe) func(CODE(0x232bd48))
XMPP::Conn: SetPresenceCallBacks: type(unsubscribed) func(CODE(0x232bf88))
XMPP::Conn: SetDirectXPathCallBacks: xpath(/[@xmlns="urn:ietf:params:xml:ns:xmpp-tls"]) func(CODE(0x2309e58))
XMPP::Conn: SetDirectXPathCallBacks: xpath(/[@xmlns="urn:ietf:params:xml:ns:xmpp-sasl"]) func(CODE(0x16410b8))
XMPP::Conn: xmppCallbackInit: stop
sendxmpp: ssl_verify: 0
sendxmpp: tls_ca_path: 
XMPP::Conn: Connect: host(luther.ceplovi.cz:5222) namespace(jabber:client)
XMPP::Conn: Connect: timeout(10)
XML::Stream: Connect: type(tcpip)
XML::Stream: Connect: Got a connection
Use of uninitialized value within @_ in lc at /usr/share/perl5/vendor_perl/XML/Stream/Parser.pm line 71.
XML::Stream: Send: (<?xml version='1.0'?><stream:stream version='1.0' xmlns:stream='http://etherx.jabber.org/streams' xmlns='jabber:client' to='luther.ceplovi.cz' from='wycliff.ceplovi.cz' xml:lang='en' >)
XML::Stream: Read: buff(<?xml version='1.0'?><stream:stream id='' xmlns:stream='http://etherx.jabber.org/streams' version='1.0' xmlns='jabber:client'><stream:error><host-unknown xmlns='urn:ietf:params:xml:ns:xmpp-streams'/><text xmlns='urn:ietf:params:xml:ns:xmpp-streams'>This server does not serve luther.ceplovi.cz</text></stream:error></stream:stream>)
XML::Stream: _handle_root: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(stream:stream) att( xmlns jabber:client xmlns:stream http://etherx.jabber.org/streams version 1.0 id  )
XML::Stream: Node: _handle_element: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(stream:error) att( )
XML::Stream: Node: _handle_element: check( -1 )
XML::Stream: Node: _handle_element: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(host-unknown) att( xmlns urn:ietf:params:xml:ns:xmpp-streams )
XML::Stream: Node: _handle_element: check( 0 )
XML::Stream: Node: _handle_close: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(host-unknown)
XML::Stream: Node: _handle_close: check( 1 )
XML::Stream: Node: _handle_close: check2( 0 )
XML::Stream: Node: _handle_element: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(text) att( xmlns urn:ietf:params:xml:ns:xmpp-streams )
XML::Stream: Node: _handle_element: check( 0 )
XML::Stream: Node: _handle_cdata: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) cdata(This server does not serve luther.ceplovi.cz)
XML::Stream: Node: _handle_cdata: sax(XML::Stream::Parser=HASH(0x1641aa8)) cdata(This server does not serve luther.ceplovi.cz)
XML::Stream: Node: _handle_close: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(text)
XML::Stream: Node: _handle_close: check( 1 )
XML::Stream: Node: _handle_close: check2( 0 )
XML::Stream: Node: _handle_close: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(stream:error)
XML::Stream: Node: _handle_close: check( 0 )
XML::Stream: Node: _handle_close: check2( -1 )
XML::Stream: Node: _handle_close: sid(newconnection) sax(XML::Stream::Parser=HASH(0x1641aa8)) tag(stream:stream)
XML::Stream: Node: _handle_close: check( -1 )
XML::Stream: Node: _handle_close: rootTag(stream:stream) tag(stream:stream)
Could not connect to 'luther.ceplovi.cz' on port 5222:

Version-Release number of selected component (if applicable):
perl-Net-XMPP-1.02-19.el7.noarch
perl-HTTP-ProxyAutoConfig-0.3-7.el7.noarch
perl-XML-Stream-1.23-8.el7.noarch
sendxmpp-1.23-4.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1.see above (I am quite certain that the credentials are correct)
2.
3.

Actual results:
see above

Expected results:
message sent

Additional info:

Comment 1 Jaroslav Reznik 2015-03-03 16:08:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:57:47 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.